Imports System.IO
Imports System.Text

Namespace SampleConvert
	Friend Class sample
		Shared Sub Main(ByVal args() As String)
			Dim r As New SautinSoft.RtfToHtml()
			Dim AppPath As String=System.Environment.CurrentDirectory

			'specify some options
			r.OutputFormat = SautinSoft.RtfToHtml.eOutputFormat.HTML_5
			r.Encoding = SautinSoft.RtfToHtml.eEncoding.UTF_8

			'specify image options
			r.ImageStyle.ImageFolder = AppPath 'this folder must exist
			r.ImageStyle.ImageSubFolder = "test.files" 'this folder will be created by the component
			r.ImageStyle.ImageFileName = "img" 'template name for images
			r.ImageStyle.IncludeImageInHtml = False 'false - save images on HDD, true - save images inside HTML


			Dim rtfFile As String = Path.GetFullPath("..\..\..\..\..\..\test.rtf")
			Dim htmlFile As String = Path.Combine(AppPath,"test.html") 'the result will be located in the same folder as binary

			Dim i As Integer = r.ConvertFile(rtfFile,htmlFile)
			If i=0 Then
				System.Console.WriteLine("Converted successfully!")
				System.Diagnostics.Process.Start(htmlFile)
			Else
				System.Console.WriteLine("Conversion failed!")
			End If
		End Sub
	End Class
End Namespace
